NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Facet.CurvatureBuilder Class Reference

Represents a NXOpen.Facet.CurvatureBuilder . More...

Inheritance diagram for NXOpen.Facet.CurvatureBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void DeleteCurvature ()
 Deletes the curvature data associated with the input facet bodies. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.SelectDisplayableObjectList 
Bodies [get]
 Returns the input facet body list. More...
 
unsafe double ConcaveRadius [get, set]
 Returns or sets the concave radius threshold More...
 
unsafe double ConvexRadius [get, set]
 Returns or sets the convex radius threshold More...
 
unsafe
NXOpen.Facet.SelectFacetedBodyList 
FacetBodies [get]
 Returns the input facet body list More...
 
unsafe bool IsDirectionReversed [get, set]
 Returns or sets the reverse direction option More...
 
unsafe double SmoothingFactor [get, set]
 Returns or sets the smoothing factor More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.CurvatureBuilder .

It calculates the maximum absolute principal curvature on facet bodies and creates a color map of these values.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateFacetCurvatureBuilder

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.Facet.CurvatureBuilder.DeleteCurvature ( )
inline

Deletes the curvature data associated with the input facet bodies.

Call this method in order to save memory if the curvature data are not needed any more.

Created in NX5.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Property Documentation

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.CurvatureBuilder.Bodies
get

Returns the input facet body list.

Inputs to this command can be convergent objects.

Created in NX11.0.0

License requirements: None.

unsafe double NXOpen.Facet.CurvatureBuilder.ConcaveRadius
getset

Returns or sets the concave radius threshold

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Facet.CurvatureBuilder.ConvexRadius
getset

Returns or sets the convex radius threshold

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.SelectFacetedBodyList NXOpen.Facet.CurvatureBuilder.FacetBodies
get

Returns the input facet body list

Created in NX5.0.0

Deprecated in NX11.0.0. Use NXOpen.Facet.CurvatureBuilder.Bodies instead.

License requirements: None.

unsafe bool NXOpen.Facet.CurvatureBuilder.IsDirectionReversed
getset

Returns or sets the reverse direction option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Facet.CurvatureBuilder.SmoothingFactor
getset

Returns or sets the smoothing factor

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.